跳转到内容

V1.0

AI 发型发质类型检测接口支持用三个角度(正面、右侧、左侧)的输入,检测图片中头发的发质类型。

执行 AI 发型发质类型检测任务。

请求

查询任务状态的方法,请参见轮询指南。

安全
BearerAuthenticationV2
正文application/json必需
Any of:
src_file_urlsArray of strings, = 3 items必需

取自上传文件接口的文件 URL。源图片按顺序对应的文件标识依次为 'frontFace'、'rightFace'、'leftFace'。请提供 'src_file_urls' 或 'src_file_ids' 二者之一。

示例:
[ "https://example.com/selfie.jpg", "https://example.com/selfie.jpg", "https://example.com/selfie.jpg" ]
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-type-detection \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_urls": [
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg"
    ]
  }'

响应

任务执行成功

正文application/json
statusinteger

响应状态

示例:200
dataobject
响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }